Subject: [84attendees] Transylvanian Cuisine in Vancouver

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sat, 28 Jul 2012 18:01:47 +0200

Transylvania is not only the alleged birthplace ok Count Dracula, but
also a place of culinary delights, at the crossroads on Europe, mixing
Hungarian, Romanian and even Turkish cuisine traditions. Vancouver has a
couple of interesting places where you can try this - one is a
restaurant a little bit far away
http://www.transylvaniaflavour.com/main/index.htm, and the other a
sweets and bakery shop located a few minutes from the meeting hotel
http://transylvaniantraditions.com/. Do not miss the unique kurtos
kalacs!

Dan